ospfRouter

Last published : Oct 30, 2026
Configuration for ospfRouter resource.

Properties

(click to see Operations )
Name Data Type Permissions Description
area <Integer> Read-write OSPF area ID as a decimal value.
Minimum value: 0
Maximum value: 4294967295
ipaddress <String> Read-write OSPF network prefix.
netmask <Integer> Read-write The netmask length
Minimum value: 0
Maximum value: 32
passiveInterface [<String>] Read-write Suppress routing updates on an interface
processId <Integer> Read-write OSPF process ID
Minimum value: 1
Maximum value: 65535
metric <Integer> Read-write The metric of redistributed routes.
Minimum value: 0
Maximum value: 16777214
metricType <Integer> Read-write OSPF metric type for default routes - OSPF External Type 1 metrics or Type 2 metrics.
Minimum value: 1
Maximum value: 2
ospfProcessId <Integer> Read-write The process ID of the ospf instance to redistribute the routes from.
protocol <String> Read-write The protocol from which routes need to be redistributed.
Possible values: bgp, connected, intranet, isis, kernel, ospf, rip, static
routeMap <String> Read-write Route map reference
tag <Integer> Read-write Set tag for routes redistributed into OSPF
Minimum value: 0
Maximum value: 4294967295
routerId <String> Read-write Router-id for the OSPF process

Operations

(click to see Properties )
  • ADD
  • SET
  • UNSET
  • DELETE
  • GET
Some options that you can use for each operations:
  • Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:
    http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yes
    If any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
  • Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,
    To do this, you must specify the username and password in the request header of the NITRO request as follows:
    X-NITRO-USER: <username>
    X-NITRO-PASS: <password>
    Note: In such cases, make sure that the request header DOES not include the following:
    Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green

add

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfRouter HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospfRouter" : {
"networks" : {
"area" : <Integer>,
"ipaddress" : <String>,
"netmask" : <Integer>
},
"passiveInterface" : [<String>],
<b>"processId" : <Integer></b>,
"redistribute" : {
"metric" : <Integer>,
"metricType" : <Integer>,
"ospfProcessId" : <Integer>,
"protocol" : <String>,
"routeMap" : <String>,
"tag" : <Integer>
},
"routerId" : <String>
}
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

set

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfRouter HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospfRouter" : {
"networks" : {
"area" : <Integer>,
"ipaddress" : <String>,
"netmask" : <Integer>
},
"passiveInterface" : [<String>],
<b>"processId" : <Integer></b>,
"redistribute" : {
"metric" : <Integer>,
"metricType" : <Integer>,
"ospfProcessId" : <Integer>,
"protocol" : <String>,
"routeMap" : <String>,
"tag" : <Integer>
},
"routerId" : <String>
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

unset

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfRouter HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"routerDynamicRouting" : {
"ospfRouter" : {
"networks" : {
"area" : <Integer>,
"ipaddress" : <String>,
"netmask" : <Integer>
},
"passiveInterface" : [<String>],
<b>"processId" : <Integer></b>,
"redistribute" : {
"metric" : true,
"metricType" : true,
"ospfProcessId" : <Integer>,
"protocol" : <String>,
"routeMap" : true,
"tag" : true
},
"routerId" : true
}
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

delete

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfRouter?args=processId:<Integer> HTTP Method: DELETE
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error

get

URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfRouter URL: http:// <netscaler-ip-address> /nitro/v1/config/routerDynamicRouting/ospfRouter?args=processId:<Integer> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/ospfRouter ?args=processId:<Integer>
Use this query-parameter to get ospfRouter resources based on additional properties.
HTTP Method: GET
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Payload:
{ "routerDynamicRouting": {
"ospfRouter" : [{
"networks" : [{
"area" : <Integer>,
"ipaddress" : <String>,
"netmask" : <Integer>
}],
"passiveInterface" : [<String>],
"processId" : <Integer>,
"redistribute" : [{
"metric" : <Integer>,
"metricType" : <Integer>,
"ospfProcessId" : <Integer>,
"protocol" : <String>,
"routeMap" : <String>,
"tag" : <Integer>
}],
"routerId" : <String>
}]
}}